#if !defined( __VERSION_H )
#define __VERSION_H


// Defines ***************************************************************

// Version
#define GERAETE_KENNUNG        (1103 + 0x010000)
#define FW_VERSION             10042                 // 1.00.36


#endif //!defined( __VERSION_H )

/*========================================================================
  nderungshistorie (neueste Eintrge oben, also chronologisch absteigend)
==========================================================================


16.06.2017 - 1.00.42 - RB    
- Mittelungszeiten bei Modbus Adr.0 einstellbar
---------------------------------------------------------------------------
05.04.2017 - 1.00.41 - RB    
- die Temperaturmessung wurde auch nach Det0 ausgewertet obwohl der AD-Wandler nur nach Det1 umgestellt wird.
  => es wurde kurzzeitig eine falsche Temperatur angezeigt. Fr die Temperaturregelung und Temperaturkompensation wurde 
     immer die richtige Temperatur nach Det1 verwendet.
---------------------------------------------------------------------------
10.04.2015 - 1.00.40 - RB    
- Kompensation der Druckverbreiterung der Absorptionsbanden 
---------------------------------------------------------------------------
20.11.2014 - 1.00.39 - RB    
- default Werte fr Heizungsregelung gendert P=0.5; I=0.01; T_soll = 55C
---------------------------------------------------------------------------
06.11.2014 - 1.00.38 - RB    
- __DSB(); Eingefgt vor Sprung in Booltloader und in Modbus_Wait_until_Answer_send() den Status S_WAIT_BUS_HOLD ergnzt
---------------------------------------------------------------------------
15.10.2014 - 1.00.37 - RB
- WATCHDOG TIMER mit 2Hz wird bedient wenn er im Bootloader gestartet wurde 
  => auch mit altem Bootloader kompatibel
--------------------------------------------------------------------------
13.10.2014 - 1.00.36 - RB
- BMP180 Strunterdrckung noch verbessert
--------------------------------------------------------------------------
09.05.2014 - 1.00.35 - RB
- BMP180 Strunterdrckung nun auch fr die Temperatur
--------------------------------------------------------------------------
06.05.2014 - 1.00.34 - RB
- Anpassungen an Beheiztes Modul mit RS485  Leiterplatte MRU65126
- Ram.fEC_ppm wird nicht mehr berechnet da Abgleichfaktor im Spectra Plus ist
--------------------------------------------------------------------------
27.03.2014 - 1.00.33 - RB
- Modbus Statemaschine berarbeitet
--------------------------------------------------------------------------
25.03.2014 - 1.00.32 - RB
- Steuersignal fr RS485  TxD_OE an P2.2 
--------------------------------------------------------------------------
07.03.2014 - 1.00.31 - RB
- ADC fr die Sinus Signale von Gain2 auf  Gain1 umgestellt 
--------------------------------------------------------------------------
30.01.2014 - 1.00.30 - RB
- Nach einem erkannten Sprung wird ber die Zeit Flash.Det[x].uFilter_Step_Hold_Sek mit der geringen Filtertiefe gerechnet 
--------------------------------------------------------------------------
08.01.2014 - 1.00.29 - RB
- fAbs_Gradient_NP_max von CH4:0.5/60  CO2:0.5/60 auf CH4:0.6/60  CO2:0.8/60  
--------------------------------------------------------------------------
26.09.2013 - 1.00.29 - RB
- mgliche Debug Hilfe in SPI.c  mit //#define SPI_RX_LOG
--------------------------------------------------------------------------
06.09.2013 - 1.00.28 - RB
- Set_Null() mit Bercksichtigung des Umgebungs CO2  bisher fest 0.3% Absorption => 0.04% CO2
- Status S_ERROR_NULLPUNKT_Cxx gesetzt bis Absorptionen ruhig und uNull_extra_Sekunden vorbei sind
- Nullpunkt nach 5C oder 60 Minuten
--------------------------------------------------------------------------
04.09.2013 - 1.00.25 - RB
- Mittelung von rekursiven Filter auf Mittelwertfeld ber max 150 Sekunden umgestellt
- Detektor ist mit MODE_DISABLE ausschaltbar (immer 100.0mV) 
--------------------------------------------------------------------------
02.09.2013 - 1.00.24 - RB
- Temperaturkompensation mit Mode==MODE_TEMP_SPAN_KOMP_AT_ABSORPTION vor der Linearisierung
--------------------------------------------------------------------------
25.08.2013 - 1.00.23 - RB
- Der Nullpunkt kann nun auch mit einer Mittelung ber 2 Minuten genommen werden (ulParameter1==1)
- Korrektur der CO2 Absorbtionen fr Abgleich nach alter Rechenmethode
--------------------------------------------------------------------------
23.08.2013 - 1.00.22 - RB
- Neue Berechnung der Absobtion: Referenz und Temperaturkompensation des Nullpunktes per MULTIPLIKATION in die fTransmission einbeziehen
--------------------------------------------------------------------------
21.08.2013 - 1.00.21 - RB
- Index Fehler bei Berechnung von fTempSpanKomp fr Det1 bei Gas Werten >Flash.A_Main[1].fTemp_Konz_Punkte[1] = 40% CO2
- die Messung von TBLK ging nur bis 51,28C <=> 1400mV => DA-Wandler Bezug von 800mV auf 1000mV angehoben
  => TBLk hat nun einen Messbereich von   0C bis 61,5C
--------------------------------------------------------------------------
18.08.2013 - 1.00.20 - RB
- Temperaturabgleich komplett berarbeitet
--------------------------------------------------------------------------
16.08.2013 - 1.00.11 - RB
- die 3 Temperaturen fr Temperaturabgleich sind nun nderbar (def 15, 30, 45 C)
- Nach Software Update knnen nun in main() einmalige Anpassungen durchgefhrt werden
--------------------------------------------------------------------------
09.08.2013 - 1.00.10 - RB
- Einbau der Span Querempfindlichkeit (fSpanQuerFaktor)
- der fSpanFaktor wird nach der Temperaturkompensation ganz am Schluss verrechnet
--------------------------------------------------------------------------
24.07.2013 - 1.00.09 - DS
- Rekursiver Mittelwert beim Drucksensor entfernt, Ausreisser werden jetzt eliminiert!
- Modbus Absorbtion von CO2 + CH4 inkl. Ref. hinzugefgt..
--------------------------------------------------------------------------
19.07.2013 - 1.00.08 - DS
- #include "BMP085.h" in main durch "BMP180.h" ersetzt
- Set_Flash_to_default um fTempSpanKomp_Konz_Faktor erweitert
- Temp_Span_Calc() hinzugefgt
- Ausreisser von Drucksensor (nur Rekursiver Mittelwert)..
--------------------------------------------------------------------------
17.07.2013 - 1.00.07 - DS
- T-BMP180 wurde immer auf P_NORM gesetzt und der Normfaktor 
  immer mit P_NORM berechnet
- fGas_Quer_Abs wurde mit falschem Parameter fr Detektor 2 aufgerufen
  CO2 Wert wurde mit den CH4 Absorbtionen kompensiert..
--------------------------------------------------------------------------
17.07.2013 - 1.00.06 - DS
- Optimiertung fr SPI.C wieder eingeschaltet
--------------------------------------------------------------------------
16.07.2013 - 1.00.05 - DS
- Kommunikation nach FW-Update des SPECTRAplus setzte komplett aus
  -> Siehe SPI.c - Process_SPI()
--------------------------------------------------------------------------
16.07.2013 - 1.00.04 - DS
- Spanfaktoren in Set_Flash_to_default auf 1.0 gesetzt 
- byte bCommunicationType zur unterscheidung zwischen MODBUS und SPI
  (Modbus_Wait_until_Answer_send() wurde aufgerufen und auf ein nicht
   vorhandenen Status gewartet - da SPI Kommunikation!)
---------------------------------------------------------------------------
14.07.2013 - 1.00.03 - RB    noch nicht compiliert! => bestimmt noch Fehler enthalten
- Querempfindlichkeiten abziehen
- Ram.fNormFaktor
- fGas_Quer_Abs()
- Set_Flash_to_default()  erweitert
- neue Werte in Ram.  und Flash. sind mit (neu) gekennzeichnet
---------------------------------------------------------------------------

========================================================================*/
